// Roept de inwendige notificationjobsgenerator aan, die controleert of er
// notificaties te doen zijn en deze dan ook realiseert. Deze moet periodiek
// aangeroepen worden. De beheerder kan middels de parameters in fac_notificatie_job
// de periodiciteit etc. van de jobs aanpassen.
//
// $Revision$
// $Id$
//
// In kader van FSN#11218
// Een parameter: UDL voor database connectie

var str = WScript.Arguments(0);

var fso = new ActiveXObject("Scripting.FileSystemObject");
function __Log(s)
{
    var flog = fso.OpenTextFile("genscheduler.log", 8 /* ForAppending */, true /* create */);
    flog.WriteLine(s);
    flog.Close();
}

__Log("Starting at " + new Date());

var udlstr = 'File Name='+str;
var Oracle = new ActiveXObject("ADODB.Connection");
Oracle.Open(udlstr);

try
{
    sql = "BEGIN fac.initsession(NULL); END;";
    oRs = Oracle.Execute(sql)
    sql = "BEGIN fac.executeschedules; END;";
    oRs = Oracle.Execute(sql)
}
catch(e)
{
    __Log("ERROR: " + e.description)
    throw e;
}

__Log("Done at " + new Date());
